use std::io::{self, stdout, BufRead, Write};

pub mod node;
pub mod environment;
pub mod parser;

#[cfg(test)]
mod tests;

fn main() {
    loop {
        print!("> ");
        let _ = stdout().flush();
        
        let mut line = String::new();
        let stdin = io::stdin();
        stdin.lock().read_line(&mut line).unwrap();
    }
}
